std Namespace Reference

## Classes

struct | hash< nlohmann::json >
| hash value for JSON objects More...
struct | less<::nlohmann::detail::value_t >
class | tuple_element< N, ::nlohmann::detail::iteration_proxy_value< IteratorType > >
class | tuple_size<::nlohmann::detail::iteration_proxy_value< IteratorType > >

## Functions

template<>
void | swap< nlohmann::json > (nlohmann::json &j1, nlohmann::json &j2) noexcept(is_nothrow_move_constructible< nlohmann::json >::value and is_nothrow_move_assignable< nlohmann::json >::value)
| exchanges the values of two JSON objects More...

## Function Documentation

## swap< nlohmann::json >()

template<>

void std::swap< nlohmann::json > | ( | nlohmann::json & | j1,
|  | nlohmann::json & | j2
| ) |  |

inlinenoexcept

exchanges the values of two JSON objects

Since
  version 1.0.0